﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Device.Location;

namespace GPSLocator
{
    public partial class MainPage : PhoneApplicationPage
    {
        GeoCoordinateWatcher _watcher;

        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            if (_watcher == null)
            {
                _watcher = new GeoCoordinateWatcher(GeoPositionAccuracy.High);
                _watcher.MovementThreshold = 20; 
                _watcher.StatusChanged += watcher_StatusChanged;
            }
            _watcher.Start(); 
        }

        void watcher_StatusChanged(object sender, GeoPositionStatusChangedEventArgs e)
        {
            if (e.Status == GeoPositionStatus.Ready)
            {
                GeoCoordinate co = _watcher.Position.Location;
                TxtLatitude.Text = co.Latitude.ToString("0.000");
                TxtLongitude.Text = co.Longitude.ToString("0.000");

                map1.SetView(co, 15);
                
                _watcher.Stop();
            }
        }
    }
}